function  singleFolderConvertAudio(fs,mono)

DBpath = uigetdir;
DBinfo = dir(DBpath);
filenames = extractfield(DBinfo(3:end),'name');


mkdir(DBpath,'audioFiles');

for n = 1:length(filenames)
        
    currentFile = filenames{n};  
    filename = [DBpath,'\',currentFile];
    [~,name,~] = fileparts(filename);

    a = miraudio(filename,'Sampling',fs,'Mono',mono);
    
    mirsave(a,[DBpath,'\','audioFiles','\',name])
     
end

end

